org.apache.solr.client.solrj.io.ops

## Class LeafOperation

- java.lang.Object
- - org.apache.solr.client.solrj.io.ops.LeafOperation

All Implemented Interfaces:
  Serializable, BooleanOperation, StreamOperation, Expressible

Direct Known Subclasses:
  EqualsOperation, GreaterThanEqualToOperation, GreaterThanOperation, LessThanEqualToOperation, LessThanOperation

    public abstract class LeafOperation
    extends Object
    implements BooleanOperation

See Also:
  Serialized Form

### Field Summary

Fields
`protected String` `field`
`protected Tuple` `tuple`
`protected Double` `val`

### Constructor Summary

Constructors
Constructor and Description
`LeafOperation(StreamExpression expression, StreamFactory factory)`
`LeafOperation(String field, double val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `operate(Tuple tuple)`
`protected String` `quote(String s)`
`Explanation` `toExplanation(StreamFactory factory)` Returns an explanation about the stream object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.ops.BooleanOperation

`evaluate`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExpression`

### Field Detail

#### field

    protected String field

#### val

    protected Double val

#### tuple

    protected Tuple tuple

### Constructor Detail

#### LeafOperation

    public LeafOperation(String field,
                         double val)

#### LeafOperation

    public LeafOperation(StreamExpression expression,
                         StreamFactory factory)
                  throws IOException

Throws:
  `IOException`

### Method Detail

#### operate

    public void operate(Tuple tuple)

Specified by:
  `operate` in interface `StreamOperation`

#### toExplanation

    public Explanation toExplanation(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error

#### quote

    protected String quote(String s)